'use strict';
var FastClick = (function(){
	function FastClick(element, callback){
		var fastClickScope = this;
		this.element = element;
		this.callback = callback
		this.moved = false;
		this.element.bind(touchstart, function(event){
			if(!event.touches && (parseInt(event.which, 10) === MOUSE_BUTTON_RIGHT || parseInt(event.which, 10) === MOUSE_BUTTON_MIDDLE)){
				return;
			}
			event.preventDefault();
			fastClickScope.moved = false;
			fastClickScope.element.bind(touchmove, fastClickScope.onTouchMove);
			fastClickScope.element.bind(touchend, fastClickScope.onTouchEnd);
		});
		this.onTouchMove = function(){
			//fastClickScope.moved = true;
		};
		this.onTouchEnd = function(){
			fastClickScope.element.unbind(touchmove);
			fastClickScope.element.unbind(touchend);

			if(!fastClickScope.moved){ fastClickScope.callback(); }
		};
	}
	return FastClick;
})();